package com.zehong.system.domain;
import java.util.List;

public class TSiteStationInfoData {

    private String siteStationId;

    private String stationName;

    private String stationType;

    private String type;

    private String stationAddr;

    private String longitude;

    private String latitude;

    private String buildyear;

    private String buildCompany;

    private String powerCompany;

    private String pictureAddress;
    //流量计数组
    private List<PressureFlow> pressureFlows;

    //下级设备数据封装类数组
    private List<SubordinateEquipmentList> subordinateEquipmentList;

    private int iconType;

    private String companyType;

    //压力表设备数量
    private int numberPressureGauges;

    //压力表在线设备
    private int onlineEquipment;

    //压力表离线设备
    private int offlineEquipment;

    //压力表历史报警
    private int historicalAlarm;

    //压力表已处理报警
    private int alarmProcessed;

    //压力表报警中
    private int inAlarm;

    //流量计设备数量
    private int numberEquipment;

    //流量计在线设备
    private int numberOnlineEquipment;

    //流量计离线设备
    private int numberOfflineEquipment;

    //流量计历史报警
    private int numberHistoricalAlarm;

    //流量计已处理报警
    private int numberAlarmProcessed;

    //流量计报警中
    private int numberInAlarm;

    //探测器设备数量
    private int detectorEquipment;

    //探测器在线设备
    private int detectorOnlineEquipment;

    //探测器离线设备
    private int detectorOfflineEquipment;

    //探测器历史报警
    private int detectorHistoricalAlarm;

    //探测器已处理报警
    private int detectorAlarmProcessed;

    //探测器报警中
    private int detectorInAlarm;

    private String address;

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPictureAddress() {
        return pictureAddress;
    }

    public void setPictureAddress(String pictureAddress) {
        this.pictureAddress = pictureAddress;
    }

    public List<SubordinateEquipmentList> getSubordinateEquipmentList() {
        return subordinateEquipmentList;
    }

    public void setSubordinateEquipmentList(List<SubordinateEquipmentList> subordinateEquipmentList) {
        this.subordinateEquipmentList = subordinateEquipmentList;
    }

    public int getDetectorEquipment() {
        return detectorEquipment;
    }

    public void setDetectorEquipment(int detectorEquipment) {
        this.detectorEquipment = detectorEquipment;
    }

    public int getDetectorOnlineEquipment() {
        return detectorOnlineEquipment;
    }

    public void setDetectorOnlineEquipment(int detectorOnlineEquipment) {
        this.detectorOnlineEquipment = detectorOnlineEquipment;
    }

    public int getDetectorOfflineEquipment() {
        return detectorOfflineEquipment;
    }

    public void setDetectorOfflineEquipment(int detectorOfflineEquipment) {
        this.detectorOfflineEquipment = detectorOfflineEquipment;
    }

    public int getDetectorHistoricalAlarm() {
        return detectorHistoricalAlarm;
    }

    public void setDetectorHistoricalAlarm(int detectorHistoricalAlarm) {
        this.detectorHistoricalAlarm = detectorHistoricalAlarm;
    }

    public int getDetectorAlarmProcessed() {
        return detectorAlarmProcessed;
    }

    public void setDetectorAlarmProcessed(int detectorAlarmProcessed) {
        this.detectorAlarmProcessed = detectorAlarmProcessed;
    }

    public int getDetectorInAlarm() {
        return detectorInAlarm;
    }

    public void setDetectorInAlarm(int detectorInAlarm) {
        this.detectorInAlarm = detectorInAlarm;
    }

    public int getNumberOnlineEquipment() {
        return numberOnlineEquipment;
    }

    public void setNumberOnlineEquipment(int numberOnlineEquipment) {
        this.numberOnlineEquipment = numberOnlineEquipment;
    }

    public int getNumberOfflineEquipment() {
        return numberOfflineEquipment;
    }

    public void setNumberOfflineEquipment(int numberOfflineEquipment) {
        this.numberOfflineEquipment = numberOfflineEquipment;
    }

    public int getNumberHistoricalAlarm() {
        return numberHistoricalAlarm;
    }

    public void setNumberHistoricalAlarm(int numberHistoricalAlarm) {
        this.numberHistoricalAlarm = numberHistoricalAlarm;
    }

    public int getNumberAlarmProcessed() {
        return numberAlarmProcessed;
    }

    public void setNumberAlarmProcessed(int numberAlarmProcessed) {
        this.numberAlarmProcessed = numberAlarmProcessed;
    }

    public int getNumberInAlarm() {
        return numberInAlarm;
    }

    public void setNumberInAlarm(int numberInAlarm) {
        this.numberInAlarm = numberInAlarm;
    }

    public int getNumberPressureGauges() {
        return numberPressureGauges;
    }

    public void setNumberPressureGauges(int numberPressureGauges) {
        this.numberPressureGauges = numberPressureGauges;
    }



    public int getNumberEquipment() {
        return numberEquipment;
    }

    public void setNumberEquipment(int numberEquipment) {
        this.numberEquipment = numberEquipment;
    }

    public int getOnlineEquipment() {
        return onlineEquipment;
    }

    public void setOnlineEquipment(int onlineEquipment) {
        this.onlineEquipment = onlineEquipment;
    }

    public int getOfflineEquipment() {
        return offlineEquipment;
    }

    public void setOfflineEquipment(int offlineEquipment) {
        this.offlineEquipment = offlineEquipment;
    }

    public int getHistoricalAlarm() {
        return historicalAlarm;
    }

    public void setHistoricalAlarm(int historicalAlarm) {
        this.historicalAlarm = historicalAlarm;
    }

    public int getAlarmProcessed() {
        return alarmProcessed;
    }

    public void setAlarmProcessed(int alarmProcessed) {
        this.alarmProcessed = alarmProcessed;
    }

    public int getInAlarm() {
        return inAlarm;
    }

    public void setInAlarm(int inAlarm) {
        this.inAlarm = inAlarm;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public int getIconType() {
        return iconType;
    }

    public void setIconType(int iconType) {
        this.iconType = iconType;
    }

    public String getSiteStationId() {
        return siteStationId;
    }

    public void setSiteStationId(String siteStationId) {
        this.siteStationId = siteStationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStationAddr() {
        return stationAddr;
    }

    public void setStationAddr(String stationAddr) {
        this.stationAddr = stationAddr;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getBuildyear() {
        return buildyear;
    }

    public void setBuildyear(String buildyear) {
        this.buildyear = buildyear;
    }

    public String getBuildCompany() {
        return buildCompany;
    }

    public void setBuildCompany(String buildCompany) {
        this.buildCompany = buildCompany;
    }

    public String getPowerCompany() {
        return powerCompany;
    }

    public void setPowerCompany(String powerCompany) {
        this.powerCompany = powerCompany;
    }

    public List<PressureFlow> getPressureFlows() {
        return pressureFlows;
    }

    public void setPressureFlows(List<PressureFlow> pressureFlows) {
        this.pressureFlows = pressureFlows;
    }

    @Override
    public String toString() {
        return "TSiteStationInfoData{" +
                "siteStationId='" + siteStationId + '\'' +
                ", stationName='" + stationName + '\'' +
                ", stationType='" + stationType + '\'' +
                ", type='" + type + '\'' +
                ", stationAddr='" + stationAddr + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                ", buildyear='" + buildyear + '\'' +
                ", buildCompany='" + buildCompany + '\'' +
                ", powerCompany='" + powerCompany + '\'' +
                ", pictureAddress='" + pictureAddress + '\'' +
                ", pressureFlows=" + pressureFlows +
                ", subordinateEquipmentList=" + subordinateEquipmentList +
                ", iconType=" + iconType +
                ", companyType='" + companyType + '\'' +
                ", numberPressureGauges=" + numberPressureGauges +
                ", onlineEquipment=" + onlineEquipment +
                ", offlineEquipment=" + offlineEquipment +
                ", historicalAlarm=" + historicalAlarm +
                ", alarmProcessed=" + alarmProcessed +
                ", inAlarm=" + inAlarm +
                ", numberEquipment=" + numberEquipment +
                ", numberOnlineEquipment=" + numberOnlineEquipment +
                ", numberOfflineEquipment=" + numberOfflineEquipment +
                ", numberHistoricalAlarm=" + numberHistoricalAlarm +
                ", numberAlarmProcessed=" + numberAlarmProcessed +
                ", numberInAlarm=" + numberInAlarm +
                ", detectorEquipment=" + detectorEquipment +
                ", detectorOnlineEquipment=" + detectorOnlineEquipment +
                ", detectorOfflineEquipment=" + detectorOfflineEquipment +
                ", detectorHistoricalAlarm=" + detectorHistoricalAlarm +
                ", detectorAlarmProcessed=" + detectorAlarmProcessed +
                ", detectorInAlarm=" + detectorInAlarm +
                '}';
    }
}
